com.sun.java.xml.ns.javaee

## Class LoginConfigType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.LoginConfigType

-     public class LoginConfigType
      extends Object

  The login-configType is used to configure the authentication method that should be used, the realm name that should be used for this application, and the attributes that are needed by the form login mechanism. Used in: web-app

  Java-Klasse für login-configType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="login-configType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="auth-method" type="{http://java.sun.com/xml/ns/javaee}auth-methodType" minOccurs="0"/>
               <element name="realm-name" type="{http://java.sun.com/xml/ns/javaee}string" minOccurs="0"/>
               <element name="form-login-config" type="{http://java.sun.com/xml/ns/javaee}form-login-configType" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthMethodType` | `authMethod`
    `protected FormLoginConfigType` | `formLoginConfig`
    `protected String` | `id`
    `protected String` | `realmName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginConfigType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthMethodType` | `getAuthMethod()` Ruft den Wert der authMethod-Eigenschaft ab.
    `FormLoginConfigType` | `getFormLoginConfig()` Ruft den Wert der formLoginConfig-Eigenschaft ab.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `String` | `getRealmName()` Ruft den Wert der realmName-Eigenschaft ab.
    `void` | `setAuthMethod(AuthMethodType value)` Legt den Wert der authMethod-Eigenschaft fest.
    `void` | `setFormLoginConfig(FormLoginConfigType value)` Legt den Wert der formLoginConfig-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.
    `void` | `setRealmName(String value)` Legt den Wert der realmName-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### authMethod

          protected AuthMethodType authMethod

    - #### realmName

          protected String realmName

    - #### formLoginConfig

          protected FormLoginConfigType formLoginConfig

    - #### id

          protected String id

  - ### Constructor Detail

    - #### LoginConfigType

          public LoginConfigType()

  - ### Method Detail

    - #### getAuthMethod

          public AuthMethodType getAuthMethod()

      Ruft den Wert der authMethod-Eigenschaft ab.
      Returns:
        possible object is `AuthMethodType`

    - #### setAuthMethod

          public void setAuthMethod(AuthMethodType value)

      Legt den Wert der authMethod-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `AuthMethodType`

    - #### getRealmName

          public String getRealmName()

      Ruft den Wert der realmName-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setRealmName

          public void setRealmName(String value)

      Legt den Wert der realmName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getFormLoginConfig

          public FormLoginConfigType getFormLoginConfig()

      Ruft den Wert der formLoginConfig-Eigenschaft ab.
      Returns:
        possible object is `FormLoginConfigType`

    - #### setFormLoginConfig

          public void setFormLoginConfig(FormLoginConfigType value)

      Legt den Wert der formLoginConfig-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FormLoginConfigType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.